.vehicle-details {
    display: flex;
    gap: 20px;
    margin: 20px 0;
    padding-bottom: var(--space-xl);

    .vehicle-description {
        width: 794px;
        overflow: auto;
        overflow-x: hidden;

        .gallery {
            display: flex;
            gap: var(--space-xl);

            .thumbs-container {
                width: 95px;
                height: 460px;
                overflow: hidden;

                .SwiperGalleryVehicleThumbs {
                    height: 100%;
                    box-sizing: border-box;

                    .swiper-slide {
                        height: auto;
                        opacity: 0.4;
                        margin-bottom: 10px;
                        overflow: hidden;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        cursor: pointer;

                        img {
                            width: auto;
                            height: 100%;
                        }

                        &.swiper-slide-thumb-active {
                            opacity: 1;
                        }
                    }
                }
            }

            .gallery-container {
                width: 699px;
                height: 460px;
                overflow: hidden;

                .swiper {
                    height: 100%;

                    .swiper-slide {
                        .item {
                            display: flex;
                            height: 100%;
                            align-items: center;
                            justify-content: center;

                            img {
                                width: 100%;
                                height: auto;
                                border-radius: 10px;
                                user-select: none;
                            }
                        }

                    }
                }
            }
        }

        .tabs-vehicle {
            list-style: none;
            display: flex;
            justify-content: space-between;
            align-self: center;
            gap: 20px;
            padding: 0;

            li {
                width: 25%;
                list-style: none;
                text-align: center;

                a {
                    color: #000;
                    font-size: 16px;
                    font-style: normal;
                    font-weight: 300;
                    line-height: normal;
                    text-decoration: none;
                    text-align: center;
                }
            }
        }

        .tab-content {
            border-radius: 14px;
            border: 1px solid #F3F4F6;
            background: #FFF;
            box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.10), 0 4px 6px -4px rgba(0, 0, 0, 0.10);
            padding: 30px;

            h4 {
                color: #101828;
                /*font-family: "Segoe UI Symbol";*/
                font-size: 24px;
                font-style: normal;
                font-weight: 400;
                line-height: 28px;
                /* 116.667% */
                margin-bottom: var(--space-md);
            }

            h5 {
                /* font-family: Segoe UI Symbol; */
                font-weight: 400;
                font-size: 16px;
                line-height: 24.5px;
                letter-spacing: 0%;
                vertical-align: middle;
                color: var(--color-gray-900);
                margin-bottom: var(--space-md);
            }

            h6{
                /* font-family: Segoe UI Symbol; */
                font-weight: 400;
                font-style: Regular;
                font-size: 15px;
                line-height: 24.5px;
                letter-spacing: 0%;
                vertical-align: middle;
                color: var(--color-gray-900);
                margin-bottom: var(--space-sm);
            }

            p {
                /* font-family: Segoe UI Symbol; */
                font-weight: 400;
                font-size: 14px;
                line-height: 18px;
                letter-spacing: 0%;
                vertical-align: middle;
                color: var(--color-gray-700);
                margin-bottom: var(--space-sm);
            }

            li{
                /* font-family: Segoe UI Symbol; */
                font-weight: 400;
                font-style: Regular;
                font-size: 14px;
                line-height: 18px;
                letter-spacing: 0%;
                vertical-align: middle;
                color: var(--color-gray-700);
            }

            $tempo: 0.5s;

            .tab-pane {
                display: none;

                .tab-wp {
                    min-height: 400px;
                    opacity: 0;
                    -webkit-transition: all $tempo ease-in-out;
                    -moz-transition: all $tempo ease-in-out;
                    -o-transition: all $tempo ease-in-out;
                    transition: all $tempo ease-in-out;
                }

                &.active {
                    display: block;
                }

                &.show {
                    .tab-wp {
                        opacity: 1;
                    }
                }

                a{
                    color: var(--primary);
                }
            }

            .box-characteristics {
                display: flex;
                align-items: stretch;
                gap: 20px;
                padding-bottom: var(--size-2);

                .box-characteristic {
                    width: calc( 20% - 20px );
                    min-height: 91px;
                    flex-shrink: 0;

                    border-radius: 12.75px;
                    background: linear-gradient(135deg, #F9FAFB 0%, #F3F4F6 100%);

                    .box-content {
                        padding: 15px 20px;
                        text-align: center;

                        .icon {
                            font-size: var(--size-5);
                            color: #155DFC;
                        }

                        strong {
                            color: #4A5565;
                            text-align: center;
                            /*font-family: "Segoe UI Symbol";*/
                            font-size: 14px;
                            font-style: normal;
                            font-weight: 400;
                            line-height: 17.5px;
                            /* 125% */
                        }

                        .text {
                            color: #101828;
                            text-align: center;
                            /*font-family: "Segoe UI Symbol";*/
                            font-size: 16px;
                            font-style: normal;
                            font-weight: 400;
                            line-height: 21px;
                            /* 131.25% */
                        }
                    }
                }
            }

            .description{
                margin-bottom: var(--space-lg);
                /* h5{
                    font-family: Segoe UI Symbol;
                    font-weight: 400;
                    font-style: Regular;
                    font-size: 18px;
                    line-height: 24.5px;
                    letter-spacing: 0%;
                    vertical-align: middle;
                    color: var(--color-gray-900);
                } */
            }

            .versiones-specs{    
                .version-specs-card{
                    margin-bottom: var(--space-lg);
                }
            }

            .tags-vehicle{
                margin-top: var(--size-4);
                display: flex;
                gap: 10px;

                .badge {
                    /* font-family: Segoe UI Symbol; */
                    font-weight: 400;
                    font-style: Regular;
                    font-size: 10.5px;
                    line-height: 14px;
                    letter-spacing: 0%;
                    text-align: center;
                    vertical-align: middle;

                    color: white;
                    padding: 5px 10px;
                    border-radius: 7px;

                    &:nth-child(1) {
                        background-color: var(--success);
                    }
                    &:nth-child(2) {
                        background-color: var(--secondary);
                    }
                    &:nth-child(3) {
                        background-color: var(--primary);
                    }
                    &:nth-child(4) {
                        background-color: transparent;
                        border: 1px solid var(--color-gray-300);
                        color: var(--gray-2);
                    }
                }
            }


            
        }
    }

    .vehicle-details {
        width: 390px;

        .card {
            /* height: 390px; */
            height: auto;
            border-radius: 14px;
            border: 1px solid #F3F4F6;
            background: #FFF;
            box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.10), 0 4px 6px -4px rgba(0, 0, 0, 0.10);
            padding: 30px;

            .card-header {
                margin-bottom: var(--size-5);

                .icons {
                    display: flex;
                    align-items: center;
                    gap: 10px;

                    button {
                        background: transparent;
                        border: none;
                        cursor: pointer;

                        img {
                            width: 17px;
                            height: 17px;
                        }
                    }
                }

                .brand {
                    display: flex;
                    justify-content: space-between;
                    align-self: center;
                    margin-bottom: var(--size-5);

                    p {
                        color: #155DFC;
                        /*font-family: "Segoe UI Symbol";*/
                        font-size: 14px;
                        font-style: normal;
                        font-weight: 400;
                        line-height: 17.5px;
                        /* 125% */
                        letter-spacing: 0.306px;
                        text-transform: uppercase;
                    }
                }

                .title {
                    color: #101828;
                    font-family: Inter;
                    font-size: var(--size-2);
                    font-style: normal;
                    font-weight: 700;
                    line-height: 35px;
                    /* 116.667% */
                }
            }

            .rating {
                display: flex;
                align-items: center;
                gap: 5px;
                margin-bottom: var(--size-5);

                .text-warning {
                    font-size: 14px;
                    line-height: 17.5px;
                    color: #FCC800;
                }

                small {
                    font-family: Inter;
                    font-size: 12px;
                    font-style: normal;
                    font-weight: 400;
                    line-height: 15px;
                    color: #6A7282;
                }
            }

            .price {
                margin-bottom: var(--size-5);

                h2 {
                    color: #101828;
                    /*font-family: "Segoe UI Symbol";*/
                    font-size: 24px;
                    font-style: normal;
                    font-weight: 400;
                    line-height: 31.5px;
                    /* 131.25% */
                }
            }

            .description {
                margin-bottom: var(--size-5);

                p {
                    color: #4A5565;
                    /* /*font-family: "Segoe UI Symbol";*/
                    font-size: 16px;
                    font-style: normal;
                    font-weight: 400;
                    line-height: 18px;
                    /* 112.5% */
                }
            }

            .color-selector {
                margin-bottom: var(--size-5);

                .colors {
                    display: flex;
                    gap: 10px;
                    margin-top: 5px;

                    &.active {
                        border: 2px solid var(--primary) !important;
                        box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.3);
                    }
                }
            }

            .version-selector {
                margin-bottom: var(--size-5);

                .versions {
                    display: flex;
                    gap: 10px;
                    margin-top: 5px;
                }
            }

            .actions-container {
                background: linear-gradient(90deg, rgba(21, 93, 252, 0.05) 0%, rgba(11, 180, 232, 0.05) 100%);
                border: 1px solid #155DFC1A;
                padding: var(--size-3) var(--size-2);
                border-radius: 12px;

                .action-buttons {
                    width: 100%;
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    align-items: center;

                    p {
                        color: #101828;
                        text-align: center;
                        font-family: Inter;
                        font-size: 14px;
                        font-style: normal;
                        font-weight: 400;
                        line-height: 17.5px;
                        /* 125% */
                        margin-bottom: var(--size-4);
                    }

                    .btn {
                        box-sizing: border-box;
                        width: 100%;
                        max-width: 100%;
                        background-color: #0BB4E8;
                        border-radius: 12px;
                        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.10), 0 4px 6px -4px rgba(0, 0, 0, 0.10);
                        color: #FFF;
                        text-align: center;
                        /*font-family: "Segoe UI Symbol";*/
                        font-size: 14px;
                        font-weight: 400;
                        line-height: 17.5px;
                        /* 125% */
                        margin-top: var(--size-4);
                        display: inline-block;

                        &:nth-child(1) {
                            margin-top: 0;
                        }

                        &:hover {
                            border: 2px solid #155DFC;
                            background: #FFF;
                            color: #155DFC;
                        }
                    }
                }
            }
        }
    }
}


.similar-vehicles-section-vehicle {
    h3 {
        color: #101828;
        /*font-family: "Segoe UI Symbol";*/
        font-size: 26.3px;
        font-style: normal;
        font-weight: 400;
        line-height: 31.5px;
        /* 119.772% */
    }
    margin-bottom: 60px;
    display: flex;
    gap: 20px;
    flex-direction: column;
}

.SwiperGalleryVehicle {

    .swiper-button-prev,
    .swiper-button-next {
        display: flex;
        width: 35px;
        height: 35px;
        padding: 8px;
        justify-content: center;
        align-items: center;
        flex-shrink: 0;
        border-radius: 100%;
        background: rgba(255, 255, 255, 0.90);
        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.10), 0 4px 6px -4px rgba(0, 0, 0, 0.10);
        backdrop-filter: blur(4px);

        &:after {
            font-size: 15px;
            color: var(--color-gray-700);
        }
    }
}

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
    .vehicle-details {
        flex-direction: column;
        gap: 30px;
        margin: 10px 0;

        .vehicle-description {
            width: 100%;

            .gallery {
                flex-direction: column;
                gap: 10px;

                .thumbs-container {
                    width: 100%;
                    height: auto;
                    display: flex;
                    justify-content: center;
                    overflow-x: auto;

                    .SwiperGalleryVehicleThumbs {
                        display: flex;
                        height: auto;

                        .swiper-slide {
                            width: 80px;
                            height: 80px;
                            margin-bottom: 0;
                            margin-right: 10px;

                            img {
                                width: 100%;
                                height: auto;
                            }
                        }
                    }
                }

                .gallery-container {
                    width: 100%;
                    height: auto;

                    .swiper {
                        height: auto;

                        .swiper-slide {
                            .item {
                                img {
                                    width: 100%;
                                    height: auto;
                                }
                            }
                        }
                    }
                }
            }

            .tabs-vehicle {
                flex-wrap: wrap;
                gap: 10px;

                li {
                    width: 48%;

                    a {
                        font-size: 14px;
                    }
                }
            }

            .tab-content {
                padding: 20px;

                .box-characteristics {
                    flex-wrap: wrap;
                    justify-content: center;
                    align-items: stretch;
                    gap: 10px;

                    .box-characteristic {
                        width: 45%;
                        min-height: auto;

                        .box-content {
                            padding: 10px;
                            height: 100%;
                            display: flex;
                            flex-direction: column;
                            justify-content: center;

                            .text {
                                font-size: 14px;
                            }
                        }
                    }
                }
            }
        }

        .vehicle-details {
            width: 100%;

            .card {
                padding: 20px;

                .title {
                    font-size: 18px;
                    line-height: 26px;
                }

                .price h2 {
                    font-size: 20px;
                }

                .actions-container {
                    .action-buttons {
                        p {
                            font-size: 13px;
                        }

                        .btn {
                            font-size: 13px;
                            padding: 10px;
                        }
                    }
                }
            }
        }
    }
}

@media (min-width: 768px) and (max-width: 1200px) and (orientation: portrait) {
    .vehicle-details {
        flex-direction: column;
        gap: 30px;
        margin: 10px 0;

        .vehicle-description {
            width: 100%;

            .gallery {
                flex-direction: column;
                gap: 10px;

                .thumbs-container {
                    width: 100%;
                    height: auto;
                    display: flex;
                    justify-content: center;
                    overflow-x: auto;

                    .SwiperGalleryVehicleThumbs {
                        display: flex;
                        height: auto;

                        .swiper-slide {
                            width: 80px;
                            height: 80px;
                            margin-bottom: 0;
                            margin-right: 10px;

                            img {
                                width: 100%;
                                height: auto;
                            }
                        }
                    }
                }

                .gallery-container {
                    width: 100%;
                    height: auto;

                    .swiper {
                        height: auto;

                        .swiper-slide {
                            .item {
                                img {
                                    width: 100%;
                                    height: auto;
                                }
                            }
                        }
                    }
                }
            }

            .tabs-vehicle {
                flex-wrap: wrap;
                gap: 10px;

                li {
                    width: 48%;

                    a {
                        font-size: 14px;
                    }
                }
            }

            .tab-content {
                padding: 20px;

                .box-characteristics {
                    flex-wrap: wrap;
                    justify-content: center;
                    align-items: stretch;
                    gap: 10px;

                    .box-characteristic {
                        width: 45%;
                        min-height: auto;

                        .box-content {
                            padding: 10px;
                            height: 100%;
                            display: flex;
                            flex-direction: column;
                            justify-content: center;

                            .text {
                                font-size: 14px;
                            }
                        }
                    }
                }
            }
        }

        .vehicle-details {
            width: 100%;

            .card {
                padding: 20px;

                .title {
                    font-size: 18px;
                    line-height: 26px;
                }

                .price h2 {
                    font-size: 20px;
                }

                .actions-container {
                    .action-buttons {
                        p {
                            font-size: 13px;
                        }

                        .btn {
                            font-size: 13px;
                            padding: 10px;
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 768px) {
    .vehicle-details {
        flex-direction: column;
        gap: 30px;
        margin: 10px 0;

        .vehicle-description {
            width: 100%;

            .gallery {
                flex-direction: column;
                gap: 10px;

                .thumbs-container {
                    width: 100%;
                    height: auto;
                    display: flex;
                    justify-content: center;
                    overflow-x: auto;

                    .SwiperGalleryVehicleThumbs {
                        display: flex;
                        height: auto;

                        .swiper-slide {
                            width: 80px;
                            height: 80px;
                            margin-bottom: 0;
                            margin-right: 10px;

                            img {
                                width: 100%;
                                height: auto;
                            }
                        }
                    }
                }

                .gallery-container {
                    width: 100%;
                    height: auto;

                    .swiper {
                        height: auto;

                        .swiper-slide {
                            .item {
                                img {
                                    width: 100%;
                                    height: auto;
                                }
                            }
                        }
                    }
                }
            }

            .tabs-vehicle {
                flex-wrap: wrap;
                gap: 10px;

                li {
                    width: 48%;

                    a {
                        font-size: 14px;
                    }
                }
            }

            .tab-content {
                padding: 20px;

                .box-characteristics {
                    flex-wrap: wrap;
                    justify-content: center;
                    align-items: stretch;
                    gap: 10px;

                    .box-characteristic {
                        width: 45%;
                        min-height: auto;

                        .box-content {
                            padding: 10px;
                            height: 100%;
                            display: flex;
                            flex-direction: column;
                            justify-content: center;

                            .text {
                                font-size: 14px;
                            }
                        }
                    }
                }
            }
        }

        .vehicle-details {
            width: 100%;

            .card {
                padding: 20px;

                .title {
                    font-size: 18px;
                    line-height: 26px;
                }

                .price h2 {
                    font-size: 20px;
                }

                .actions-container {
                    .action-buttons {
                        p {
                            font-size: 13px;
                        }

                        .btn {
                            font-size: 13px;
                            padding: 10px;
                        }
                    }
                }
            }
        }
    }

    .similar-vehicles-section-vehicle {
        h3 {
            font-size: 20px;
            text-align: center;
        }
    }
}